Subject: [bug#34865] [PATCH] Add emacs-zones.

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 26 Mar 2019 11:55:33 +0100

Ludovic Courtès <[email-masked]> writes:

> Hi Oleg,
>
> Oleg Pykhalov <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>>
>> […]
>>
>>>> Could we use emacs-zones from Elpa? See
>>>> https://elpa.gnu.org/packages/zones.html . ‘guix import elpa
>>>> emacs-zones’ will produce a decent ‘origin’ record to pull a source.
>>>
>>> My understanding is that ELPA and MELPA tarballs are not necessarily
>>> persistent and immutable, and that we generally prefer referring
>>> directly to the upstream repo.
>>
>> Ouch, I thought ELPA is persistent.  That's a significant argument to
>> not use ELPA for our purposes :-( .

I only know that MELPA isn’t immutable.  I assumed that ELPA is fine.

>> We preferred ELPA over GitHub's Git repositories in emacs-xys.scm
>> (emacs.scm in past), didn't we?
>
> Hmmm, not sure, Ricardo, what’s the story?  :-)

I don’t think we did.  I can’t think of even one case where we switched
from git-fetch from GitHub to url-fetch from ELPA.

git-fetch is the preferred way when there are no stable tarballs.

--
Ricardo